
#include "Sql_SELECT_SurveyBounds.hpp"

using namespace std;

string Sql_SELECT_SurveyBounds::qLonMinMax(int sid)
{
   return "SELECT min(lon_from),max(lon_to) FROM cubeboundsgalactic WHERE header_id IN "
      "(SELECT header_id FROM headers WHERE survey_id = " + to_string(sid) + ")" ;
}



string Sql_SELECT_SurveyBounds::qLatMinMax(int sid)
{
   return "SELECT min(lat_from),max(lat_to) FROM cubeboundsgalactic WHERE header_id IN "
      "(SELECT header_id FROM headers WHERE survey_id = " + to_string(sid) + ")";
}


